package com.fjhx.oa.service.daily;

import com.fjhx.oa.entity.daily.po.DailyReportComments;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.daily.vo.DailyReportCommentsVo;
import com.fjhx.oa.entity.daily.dto.DailyReportCommentsSelectDto;
import com.fjhx.oa.entity.daily.dto.DailyReportCommentsDto;


/**
 * <p>
 * 报表评论 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-04
 */
public interface DailyReportCommentsService extends BaseService<DailyReportComments> {

    /**
     * 报表评论分页
     */
    Page<DailyReportCommentsVo> getPage(DailyReportCommentsSelectDto dto);

    /**
     * 报表评论明细
     */
    DailyReportCommentsVo detail(Long id);

    /**
     * 报表评论新增
     */
    void add(DailyReportCommentsDto dailyReportCommentsDto);

    /**
     * 报表评论编辑
     */
    void edit(DailyReportCommentsDto dailyReportCommentsDto);

    /**
     * 报表评论删除
     */
    void delete(Long id);

}
